@import '~sass/variables';
@import "~sass/media";


// .popup {
//   padding: 10px;
//   background: #fff;
//   position: relative;
//   transition: all 5s ease-in-out;
//   line-height: 4;
//   text-align: center;
//   width: 600px;
//   height: 280px;
//   @include for-size(phone-only){
//     width: 100%;
//     height: 100%;
//   }
//   @include for-size(mobile-lanscape){
//     width: 100%;
//     height: 100%;
//   }
//   @include for-size(tablet-portrait-up){
//     width: 100%;
//     height: 100%;
//   }
// }

// .popup h2 {
//     margin-top: 2vh;
//     color: #42b907;
// }

// .popup .content {
//     // max-height: 30%;
//     // overflow: auto;
//     line-height: 2;
// }
// .delete-data ::ng-deep.mat-raised-button.mat-primary {
//   margin-right:10px;
// }

// ::ng-deep .mat-raised-button.mat-primary {
//   background-color: #05b1f3;
// }

.popup {
  background: $secondary-color;
  position: relative;
  line-height: 2.5;
  text-align: center;
  width: 600px;
  // height: 280px;
    @media (min-width: 320px) and (max-width: 767px) {
      width:100%;
    }

}
.popup-header {  
  color: #fff;
  font-size: 25px;
    @media (min-width: 320px) and (max-width: 767px) {
    display: flex;
    justify-content: center;
  } 
 
}
.p-success {
  background-color: #8BC34A;
}
.p-warn {
  background-color: #fd7e14;
}
.p-delete {
  background-color: #F44336;
}
.p-info {
  background-color: #06A4F6;
}
.popup-icon {
  padding-top: 20px;
}
.popup-msg {
  padding: 20px;
  line-height: 1.5;
  width: 450px;
  margin: 0 auto;
  font-size: 15px;
    @media (min-width: 320px) and (max-width: 767px) {
      width: 100%;
      padding: 20px;
    }

}
.popup-footer {
  display: flex;
  justify-content: flex-end;
  padding: 20px;
  font-size: 16px;
  font-weight: 600;
  text-transform: uppercase;
  color: $font-black;
  cursor: pointer;
      @media (min-width: 320px) and (max-width: 767px) {
      justify-content: space-between;
    }

    .popup-btn-1{
      padding-right: 20px;
          @media (min-width: 320px) and (max-width: 767px) {
            padding-right: 0;
          }
    }
    .popup-btn-2{
      padding-right: 20px;
          @media (min-width: 320px) and (max-width: 767px) {
            padding-right: 0;
          }
    }

}




